FROM php:8.4-apache

RUN apt-get update -y && apt-get upgrade -y
RUN apt-get install -y vim curl 7zip libicu-dev

RUN curl -sS https://getcomposer.org/installer -o /tmp/composer-setup.php \
    && php /tmp/composer-setup.php --install-dir=/usr/local/bin --filename=composer

RUN curl -sS https://get.symfony.com/cli/installer | bash && mv /root/.symfony5/bin/symfony /usr/local/bin/symfony

RUN pecl install xdebug apcu \
    && docker-php-ext-enable xdebug apcu \
    && docker-php-ext-configure intl \
    && docker-php-ext-install pdo pdo_mysql intl opcache

COPY ./php.ini "${PHP_INI_DIR}/"

COPY ./xdebug.ini ./opcache.ini "${PHP_INI_DIR}/conf.d"/

RUN a2enmod rewrite
